﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private frontCamera As Boolean = False
	Dim phon As Phone
	Dim gps1 As GPS
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private Panel1 As Panel
	Private camEx As CameraExClass
	Private Btnclick As Button
	Dim lati,longi As Double
	Private Btngps As Button
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("Kamera")
	phon.setscreenorientation (0)
	
	Btnclick.Visible=False
	Btngps.Visible=False
	Panel1.Visible=False
	DoEvents
	Panel1.Left=0
	Panel1.Top=0
	Panel1.Width=75%x
	Panel1.Height=100%y
	Btnclick.Color=Main.btncolor
	Btnclick.TextColor=Main.btntxtcolor
	Btnclick.Text="Klick"
	Btnclick.Left=Panel1.Width + 10dip
	Btnclick.Top=0%y
	Btnclick.Width=100%x - Panel1.Width - 20dip
	Btnclick.Height=20%y
	
	Btngps.Color=Main.btncolor
	Btngps.TextColor=Main.btntxtcolor
	Btngps.Width=100%x - Panel1.Width - 20dip
	Btngps.Top=100%y-Btngps.Height
	Btngps.Left=Panel1.Width + 10dip
	Btngps.Text="Warte auf" & CRLF & "GPS-Signal"
	' phon.setscreenorientation (0)
	
	
	If FirstTime Then
		gps1.Initialize("GPS")
	End If
	lati=0
	longi=0
	Panel1.Visible=True
	Btnclick.Visible=True
	Btngps.Visible=True
End Sub
 	
Sub Activity_Resume
	Try
	InitializeCamera
	If gps1.GPSEnabled = False Then
        ToastMessageShow("Bitte GPS einschalten.", True)
        StartActivity(gps1.LocationSettingsIntent) 'Will open the relevant settings screen.
    Else
        gps1.Start(0, 0) 'Listen to GPS with no filters.
    End If
	Catch
		Dim s As String
		s="Camera Resume " & LastException.Message
		Log (s)
		Main.prot.Add (s)
	End Try
	
End Sub

Private Sub InitializeCamera
	Try
	camEx.Initialize(Panel1, frontCamera, Me, "Camera1")
	frontCamera = camEx.Front
	Catch
		Dim s As String
		s="Camera Resume " & LastException.Message
		Log (s)
		Main.prot.Add (s)
	End Try
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Try
	camEx.Release	
	gps1.Stop
	Catch
		Dim s As String
		s="Camera pause " & LastException.Message
		Log (s)
		Main.prot.Add (s)
	End Try
End Sub

Sub GPS_locationchanged (Location1 As Location)
	Try
	lati=Location1.latitude
	longi=Location1.Longitude
	Btngps.Visible=False
	Catch
		Dim s As String
		s="Camera Location changed " & LastException.Message
		Log (s)
		Main.prot.Add (s)
	End Try
End Sub


Sub Camera1_Ready (Success As Boolean)
	Try
	If Success Then
		' xxxxx
		camEx.SetJpegQuality(Settings.jpgquality)
		camEx.CommitParameters
		camEx.StartPreview
		Log(camEx.GetPreviewSize)
	Else
		ToastMessageShow("Die Kamera funktioniert nicht.", True)
	End If
	Catch
		Dim s As String
		s="Camera ready " & LastException.Message
		Log (s)
		Main.prot.Add (s)
	End Try
End Sub


Sub Btnclick_Click
	Try
		If camEx.GetSupportedFocusModes.IndexOf("auto") > -1 Then 'auto focus is supported
			camEx.focusandTakePicture
		Else
			camEx.TakePicture
		End If
	Catch
		Dim s As String
		s=LastException.Message
		Log (s)
		Main.prot.Add (s)
		Msgbox (s,"Fehlermeldung machen?")
		Try
			camEx.TakePicture
		Catch
			s=LastException.Message
			Log (s)
			Main.prot.Add (s)
		End Try
	End Try
End Sub

Sub Camera1_PictureTaken (Data() As Byte)
	Try
	Main.photonumber=Basis.GetUniqueKey
	Dim filename As String 
	filename=Main.photonumber & ".jpg"
	Dim dir As String = Main.outdir
	Main.thepic=filename
	
	camEx.SavePictureToFile(Data, dir, filename)
	camEx.StartPreview 'restart preview
	
	Dim Phone As Phone
	Dim i As Intent
	i.Initialize("android.intent.action.MEDIA_SCANNER_SCAN_FILE", _
		"file://" & File.Combine(dir, filename))
	Phone.SendBroadcastIntent(i)
	ToastMessageShow("Gespeichert.",True)
	Dim s As String
	
	s = "insert into photos values (NULL,'" & Main.projectnumber & "','" & Main.photonumber & "'," & lati & "," & longi & ")"
	Main.latitude=lati
	Main.longitude=longi
	Main.SQL1.execnonquery (s)
	Catch
		Dim s As String
		s="Picture taken " & LastException.Message
		Log (s)
		Main.prot.Add (s)
	End Try
	
	StartActivity (Draw)
End Sub

Sub Btngps_Click
	
End Sub