﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim phon As Phone
	Private mFileName As String
	Dim audiorecorder As AudioRecordApp
	Dim tagmodus As Boolean
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim pnlBackground, pnlDrawing As Panel
	Dim cvsBackground, cvsDrawing As Canvas
	Dim rectPanels As Rect
	Dim SD As SignatureData 'This object holds the data required for SignatureCapture
	Dim tagid,clickedno As String	
	Dim men As AHPopupMenu
	Private bpoints As Button
	Private btag As Button
	Dim vv As VideoView	
	Private Bdelete As Button
	Dim ic As Int
	Private Bmap As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("touch")
	phon.setscreenorientation (0)
	
	
	pnlBackground.Initialize("pnlBackground")
	
	Activity.AddView(pnlBackground, 0,0,75%x,100%y)
	cvsBackground.Initialize(pnlBackground)
	
	pnlDrawing.Initialize("pnlDrawing")
	Activity.AddView(pnlDrawing,0,0, 75%x,100%y)
	rectPanels.Initialize(0, 0, pnlDrawing.Width, pnlDrawing.Height)
	
	cvsDrawing.Initialize(pnlDrawing)
	SD.Initialize
	SD.Canvas = cvsDrawing
	SD.Panel = pnlDrawing
	SD.SignatureColor = Colors.Black
	SD.SignatureWidth = 5dip 'Stroke width
	
	showit	
	
	
	If FirstTime Then
		audiorecorder.Initialize("audioRecorder")
		tagmodus=False
	End If
	Dim wi,he As Int
	wi=120dip
	he=40dip
'	bpoints.Color=Main.btnpressedcolor
'	bpoints.TextColor=Main.btntxtcolor
'	btag.Color=Main.btncolor
'	btag.TextColor=Main.btntxtcolor
'	
'	bpoints.Text="Hinzufügen"
'	btag.Text="Bearbeiten"
	Basis.dobutton (bpoints,"Hinzufügen")
	Basis.dobutton (btag,"Bearbeiten")
	bpoints.Left=pnlBackground.Width+20dip
	bpoints.Width=wi
	bpoints.Height=he
	btag.Left=pnlBackground.Width+20dip
	' btag.Top=t2
	btag.Width=wi
	btag.Height=he
	bpoints.Top=0
	btag.Top=he*2
	btag.BringToFront
	bpoints.BringToFront
	Basis.dobutton (Bdelete,"Löschen")
	Bdelete.width=wi
	Bdelete.Height=he
	Bdelete.top=100%y-he
	Bdelete.bringtofront
	Bdelete.Left=btag.Left
	
	Bdelete.BringToFront
	Basis.dobutton (Bmap,"Karte")
	Bmap.SetLayout (Bdelete.Left,Bdelete.Top-10dip-he,wi,he)
	If Main.latitude <> "0" Then
		Bmap.BringToFront
	Else
		Bmap.Visible=False
	End If
	men.Initialize("AC")
	Dim ai As AHActionItem
	ai.Initialize(1, "Voice Tag",Null)
	ai.tag="Voice Tag"
	men.AddActionItem(ai)
	Dim ai2 As AHActionItem
	ai2.Initialize(2, "Wiedergeben",Null)
	ai2.tag="Wiedergeben"
	men.AddActionItem(ai2)
	Dim ai3 As AHActionItem
	ai3.Initialize(2, "Löschen",Null)
	ai3.tag="Löschen"
	men.AddActionItem(ai3)
	
	vv.Initialize("vv")
    Activity.AddView(vv, 0,0,1,1)
	vv.Visible=False
	
	
End Sub

Sub showit
	Try
		cvsBackground.DrawBitmap(LoadBitmap(Main.outdir, Main.thepic), Null, rectPanels)
	Catch
		Log (LastException.Message)
	End Try
	pnlBackground.Invalidate
	
	SignatureCapture.firstx=0
	SignatureCapture.firsty=0
	
	Dim l As List
	Dim cr As Cursor
	Dim s As String
	Dim no As Int
	Dim iz,i2 As Int
	Dim rx0,ry0,rx,ry,rxlast,rylast As Int
	l.Initialize
	s="select AID,no from tags where photoid='" & Main.photonumber & "' order by aid"
	cr=Main.SQL1.execquery (s)
	For iz=0 To cr.Rowcount-1
		cr.position=iz
		s=cr.GetString ("AID")
		no=cr.GetInt ("no")
		Dim amap As Map
		amap.Initialize
		amap.Put ("aid",s)
		amap.Put ("no",no)
		l.add (amap)
	Next
	For iz=0 To l.Size-1
		Dim amap As Map
		amap=l.Get (iz)
		tagid=amap.Get ("aid")
		no=amap.Get ("no")
		s="select x,y from points where tagid='" & tagid & "' order by aid"
		cr=Main.SQL1.execquery (s)
		For i2=0 To cr.Rowcount-1
			cr.position=i2
			rx=cr.GetDouble("x") * pnlDrawing.width 
			ry=cr.GetDouble ("y") * pnlDrawing.height
			
			If i2=0 Then
				rx0=rx
				ry0=ry
			Else
				SD.Canvas.DrawLine(rxlast, rylast, rx, ry, SD.SignatureColor, SD.SignatureWidth)
				SD.Panel.Invalidate				
			End If
			rxlast=rx
			rylast=ry
		Next
		drawpoint (no,rx0,ry0)
	Next
End Sub

Sub drawpoint (no As Int, x As Int,y As Int)
	' cvsBackground.DrawCircle (x,y,40,Colors.Red,True,5)
	Dim b As Button
	Dim rad As Int = 80
	b.initialize ("touchbtn")
	b.tag=no
	b.Text=no
	b.color=Colors.red
	Dim cd As ColorDrawable
	cd.Initialize (Colors.Red,rad)
	b.Background=cd 
	pnlDrawing.addview (b,x-rad/2,y-rad/2,rad,rad)
End Sub

Sub Activity_Resume
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	
'	Dim s As String
'	s=Main.thepic.replace (".","_s.")
'	SignatureCapture.Save(SD, Main.outdir, s)
'	ToastMessageShow("Signature saved to: " & File.Combine(File.DirRootExternal, "sign.png"), True)
'	'The next line will load the image and set it as the activity background.
'	Activity.SetBackgroundImage(LoadBitmap(File.DirRootExternal, "sign.png"))
	If UserClosed Then saveit
End Sub

Sub pnlDrawing_Touch (Action As Int, x As Float, y As Float)
	Try
	If tagmodus=True Then Return
	SignatureCapture.Panel_Touch(SD, x, y, Action)
	Log (Action)
	Dim x1,y1,x2,y2 As Int
	Dim rx,ry As Float
	x1=SignatureCapture.firstx
	y1=SignatureCapture.firsty
	x2=SignatureCapture.px
	y2=SignatureCapture.py
	Dim s As String
	Dim cr As Cursor
	rx=x / pnlDrawing.width 
	ry=y / pnlDrawing.height
'	Log (pnlDrawing.Width & " \ " & pnlDrawing.Height)
'	Log (x & "/" & y)
'	Log (rx & "/" & ry)
	Select Case Action
		
		Case 0:
'			s="select aid from tags where photoid='" & Main.photonumber & "'"
'			cr=Main.SQL1.execquery (s)
'			Log (s)
'			Dim ic As Int
'			ic=cr.RowCount+1
'			s = "insert into tags values (NULL,'" & Main.photonumber & "'," & ic & "," & rx & "," & ry & ")"
			' Log (s)
			' Main.SQL1.execnonquery (s)
			' tagid = Main.SQL1.ExecQuerySingleResult("SELECT MAX(AID) FROM tags")
			' tagid=ic
			
			s="select max(no) from tags where photoid='" & Main.photonumber & "'"
			If Main.SQL1.ExecQuerySingleResult(s) = Null Then
				ic=1
			Else
				ic= Main.SQL1.ExecQuerySingleResult(s) + 1
			End If
			Log (ic)
			s = "insert into tags values (NULL,'" & Main.photonumber & "'," & ic & "," & rx & "," & ry & ")"
			Log (s)
			Main.SQL1.execnonquery (s)
			tagid= Main.SQL1.ExecQuerySingleResult("SELECT MAX(AID) FROM tags")
			
			
			

			
			
		Case 1:
			' Msgbox (SignatureCapture.firstx & "/" & SignatureCapture.firsty,SignatureCapture.px & "/" & SignatureCapture.py)
			
			' cvsBackground.DrawCircle (x1,y1,40,Colors.Red,True,5)
			drawpoint (ic,x1,y1)
			SignatureCapture.firstx=0
			SignatureCapture.firsty=0
			
			saveit
			
			mFileName=Main.photonumber & "_" & ic & ".3gpp"
			' buffers.Clear
			' output = StartWaveFile(Main.outdir, mFileName, mSampleRate, mMono, mBitRate)
			audiorecorder.Record(Main.outdir,mFileName)
	End Select
	s = "insert into points values (NULL,'" & tagid & "'," & rx & "," & ry & ")"
	Log (s)
	Main.SQL1.execnonquery (s)
	Catch
		Dim s As String
		s=LastException.Message
		Main.prot.Add ("draw: touch " & s)
	End Try
End Sub

Sub saveit
	Dim Obj1, Obj2 As Reflector
    Dim bmp As Bitmap
    Dim c As Canvas

    Obj1.Target = Obj1.GetActivityBA
    Obj1.Target = Obj1.GetField("vg")
	' msgbox (activity.Width,activity.Height)
    bmp.InitializeMutable(Activity.Width  * 0.75, Activity.Height)
    ' bmp.InitializeMutable(pnl.Width * 0.75, pnl.Height)
    c.Initialize2(bmp)
    Dim args(1) As Object
    Dim types(1) As String
    Obj2.Target = c
    Obj2.Target = Obj2.GetField("canvas")
    args(0) = Obj2.Target
    types(0) = "android.graphics.Canvas"
    Obj1.RunMethod4("draw", args, types)
    Dim Out As OutputStream
	Dim s As String
	s=Main.thepic.replace (".","_s.")
    Out = File.OpenOutput(Main.outdir, s, False)
    bmp.WriteToStream(Out, 100, "JPEG")
    Out.Close
End Sub

Sub audioRecorder_RecordComplete (Success As Boolean)
    Log(Success)
    If Success Then
'		Dim t As String = aid
'		Basis.saveittodb (t, 3) ' 3 für crm
		ToastMessageShow ("Gespeichert",True)
    End If 
End Sub

' http://maps.google.com/maps?q=39.211374,-82.978277+(My+Point)&z=14&ll=39.211374,-82.978277



Sub btag_Click
	tagmodus=True
	bpoints.Color=Main.btncolor
	btag.Color=Main.btnpressedcolor
End Sub
Sub bpoints_Click
	tagmodus=False
	bpoints.Color=Main.btnpressedcolor
	btag.Color=Main.btncolor
End Sub


Sub touchbtn_click
	If tagmodus=False Then 
		tagmodus=True
		bpoints.Color=Main.btncolor
		btag.Color=Main.btnpressedcolor
	End If
	Dim Send As Button
    Send=Sender
	mFileName=Main.photonumber & "_" & Send.tag & ".3gpp"
	clickedno=Send.tag
	
	' Activity.Title=Send.Text
	' ToastMessageShow (Send.tag,True)
	men.show(Sender)
End Sub

Sub AC_Click (Position As Int, ActionItemID As Int)
	Dim Action As AHActionItem
	Action = men.getActionItem(Position)
	' ToastMessageShow(Action.Title & " pressed", False)
	Select Action.Title
		Case "Voice Tag"
			audiorecorder.Record(Main.outdir,mFileName)
		
		Case "Wiedergeben"
			mFileName=Main.photonumber & "_" & clickedno & ".3gpp"
			Log (mFileName)
			If File.Exists (Main.outdir,mFileName) Then
				vv.Visible=True
				mFileName=Main.photonumber & "_" & clickedno & ".3gpp"
				vv.LoadVideo (Main.outdir,mFileName)
        		vv.Play
			End If
		Case "Löschen"
			Dim s As String
			s = "Select AID from tags where (photoid='" & Main.photonumber & "') and (no = " & clickedno & ")"
			Log (s)
			s = Main.sql1.ExecQuerySingleResult (s)
			If (s <> Null) Then
				Log (s)
				s = "delete from points where tagid=" & s
				Log (s)
				Main.SQL1.execnonquery (s)
				s = "delete from tags where (photoid='" & Main.photonumber & "') and (no = " & clickedno & ")"
				Log (s)
				Main.SQL1.execnonquery (s)
	'			mFileName=Main.photonumber & "_" & clickedno & ".3gpp"
				Log (mFileName)
				File.Delete (Main.outdir,mFileName)
				Dim areaRect As Rect
				areaRect.Initialize(0,0,pnlDrawing.Width, pnlDrawing.height)
				cvsDrawing.drawRect(areaRect, Colors.Transparent, True, 0)

				pnlDrawing.Invalidate

				pnlDrawing.RemoveAllViews
				
				showit
			End If
	End Select
	
End Sub

Sub vv_complete
	vv.Visible=False

End Sub
Sub Bdelete_Click
	If Msgbox2 ("Wirklich löschen?","","Ja","","Nein",Null) = DialogResponse.POSITIVE Then
		Basis.deletepic (Main.photonumber)
		Activity.finish
	End If
End Sub
Sub Bmap_Click
	StartActivity (Map)
	Msgbox ("map","")
End Sub